<?php
/** 
 *  SeekQuarry/Yioop --
 *  Open Source Pure PHP Search Engine, Crawler, and Indexer
 *
 *  Copyright (C) 2009, 2010  Chris Pollett chris@pollett.org
 *
 *  LICENSE:
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  END LICENSE
 *
 * @author Chris Pollett chris@pollett.org
 * @package seek_quarry
 * @subpackage view
 * @license http://www.gnu.org/licenses/ GPL3
 * @link http://www.seekquarry.com/
 * @copyright 2009, 2010
 * @filesource
 */

if(!defined('BASE_DIR')) {echo "BAD REQUEST"; exit();}

/** Loads common constants for web crawling*/
require_once BASE_DIR."/lib/crawl_constants.php";

/* added amith
/** Load the class that maintains our URL queue */
require_once BASE_DIR."/lib/web_queue_bundle.php";
//

/**
 * Web page used to present search results
 * It is also contains the search box for
 * people to types searches into
 *
 * @author Chris Pollett
 * @package seek_quarry
 * @subpackage view
 */ 

class SearchView extends View implements CrawlConstants
{
    /** Names of helper objects that the view uses to help draw itself 
     *  @var array
     */
    var $helpers = array("pagination", "filetype");
    /** Names of element objects that the view uses to display itself 
     *  @var array
     */
    var $elements = array("signin");

    /** This view is drawn on a web layout
     *  @var string
     */
    var $layout = "web";
    
    /** Flag variable ton indicate the laoding of hash values
     *  @var int
     */
    var $LOAD_HASH = 0;
    
    /** The array to hold hub, authority and average scores
     *  @var array
     */
    var $urlsWt = array();

    /**
     *  Draws the main landing pages as well as search result pages
     *
     *  @param array $data  PAGES contains all the summaries of web pages
     *  returned by the current query, $data also contains information
     *  about how the the query took to process and the total number
     *  of results, how to fetch the next results, etc.
     *
     */
    public function renderView($data) 
    {
    	$res = fopen("TEST_MYHITS_RES.txt", 'a') or die('error opening results file');
    	$i = 1;
    	/*
    	if(isset($data['TOTAL_ROWS'])) {
    		echo 'Total results : '.$data['TOTAL_ROWS'];
    	}	
    	*/
    	
    	if(!$this->LOAD_HASH) {
    		$this->LOAD_HASH = 1;
    	
	    	$f_avg = fopen('C:/xamp/xampp/htdocs/yioop/bin/avg.txt', 'r') or die("error opening avg.txt\n");
	    	
	    	$fields = '';
	    	
	    	
	    	while (!feof($f_avg)) {
	       		$buffer = trim(fgets($f_avg, 4096));
	       	
	       		//echo $buffer;
	       		
	       		if(isset($buffer)) {
	       			$fields = explode(',', $buffer);
	       			
	       			if(count($fields) == 4) {
	       			
		       			$urlsWt[$fields[0]]['hub_weight'] = $fields[1];
		       			$urlsWt[$fields[0]]['auth_weight'] = $fields[2];
		       			$urlsWt[$fields[0]]['avg_weight'] = $fields[3];
	       			}
	       			
	       			unset($fields);
	       		}
	    	}
	    	
	    	fclose($f_avg);
	    	
	    	
    	}
    	
    	
    	
        $this->signinElement->render($data); 
        if(!isset($data['PAGES'])) {
            e('<div class="landing">');
        }
        ?>
        <h1 class="logo"><a href="./?YIOOP_TOKEN=<?php 
            e($data['YIOOP_TOKEN'])?>"><img 
            src="resources/yioop.png" alt="Yioop!" /></a></h1>
        <div class="searchbox">
        <form id="searchForm" method="get" action=''>
        <p>
        <input type="hidden" name="its" value="<?php e($data['its']); ?>" />
        <input type="text" title="<?php e(tl('search_view_input_label')); ?>" 
            id="search-name" name="q" value="<?php if(isset($data['QUERY'])) {
            e(urldecode($data['QUERY']));} ?>" 
            placeholder="<?php e(tl('search_view_input_placeholder')); ?>" />
        <button class="buttonbox" type="submit"><?php 
            e(tl('search_view_search')); ?></button>
        </p>
        </form>
        </div>
        <?php
        if(!isset($data['PAGES'])) {
            ?>
            <div class="landing-footer">
                <a href="http://www.seekquarry.com/"><?php
                e(tl('search_view_developed_seek_quarry')); ?></a></div>
            </div><?php
        } else {
            ?>
            <h2><?php e(tl('search_view_query_results')); ?> (<?php 
                e(tl('search_view_calculated', $data['ELAPSED_TIME']));?> <?php
                e(tl('search_view_results', $data['LIMIT'], 
                    min($data['TOTAL_ROWS'], 
                    $data['LIMIT'] + $data['RESULTS_PER_PAGE']), 
                    $data['TOTAL_ROWS'])); 
            ?> )</h2>
            <?php
            foreach($data['PAGES'] as $page) {
            
            	$temp_res = $data['QUERY'].',0,';
            	?> 
                <div class='result'> 
                <h2>
                <a href="<?php if($page[self::TYPE] != "link") {
                    e($page[self::URL]); 
                    } else 
                    e(strip_tags($page[self::TITLE])); ?>" ><?php
                 if(isset($page[self::THUMB]) && $page[self::THUMB] != 'NULL') {
                    ?><img src="<?php e($page[self::THUMB]); ?>" alt="<?php 
                        e($page[self::TITLE]); ?>"  /> <?php
                 } else {
                    echo $page[self::TITLE];
                    $this->filetypeHelper->render($page[self::TYPE]);
                }
                ?></a></h2>
                <p><?php 
                echo $page[self::DESCRIPTION]; ?></p>
                <p class="echolink" ><?php 
                    e(substr($page[self::URL],0, 200)." "); 
                    $temp_res .=  $page[self::URL].',';
                    
                    $page["WEIGHT"] = (isset($page["WEIGHT"])) ?
                        $page["WEIGHT"] : 1;
                    $temp_res .= $page[self::DOC_RANK].',';
                        
                         
                         
                         $rele = number_format(1.25*floatval($page[self::SCORE])
                        	- floatval($page[self::DOC_RANK]), 4);
                        
                        $temp_res .= $rele.',0'."\n";
                        
                        fwrite($res, $temp_res);
                    	$temp_res = '';
                        
                                                
                        $hwt = $page[self::DOC_RANK] / 2;
                        if(isset($urlsWt[$page[self::URL]]['hub_weight'])) {
                        	$hwt += $urlsWt[$page[self::URL]]['hub_weight'];
                        }
                        e('  Hub: '. number_format($hwt, 3));
                        
                        $awt = $page[self::DOC_RANK];
                        if(isset($urlsWt[$page[self::URL]]['auth_weight'])) {
                        	$awt += $urlsWt[$page[self::URL]]['auth_weight'];
                        }
                        e('  Authority: '. number_format($awt, 3));
                        
                        //$avg_wt = 0;
                        //if(isset($urlsWt[$page[self::URL]]['avg_weight'])) {
                        	$avg_wt = ($hwt + $awt) / 2;
                        //}
                        e('  Avg : '. number_format($avg_wt, 3));
                        
                        
                if($page[self::TYPE] != "link") {
                ?>
                
                     <a href="?c=search&amp;q=<?php 
                        e("link:".urlencode($page[self::URL])); ?>&amp;
                        its=<?php e($data['its']); ?>" ><?php 
                        e(tl('search_view_inlink')); 
                    ?></a>.</p>
                <?php
                } ?>
                </div>

            <?php 
            } //end foreach
            $this->paginationHelper->render(
                $data['PAGING_QUERY'], $data['LIMIT'], 
                $data['RESULTS_PER_PAGE'], $data['TOTAL_ROWS']);
        }
        fwrite($res, "\n\n");
        fclose($res);
    }
}
?>
